from numbers import Number
from pojagi_dsp.channel.ecg import AECGChannel, Segments

from pojagi_dsp.channel import Filter


class ECGFilter(Filter[AECGChannel], AECGChannel):

    @property
    def heart_rate(self): return self.reader.heart_rate

    @property
    def wavelength(self): return self.reader.wavelength

    @property
    def segments(self) -> Segments: return self.reader.segments

    def samples(self): return self.reader.samples()
